%define majver %(echo %version | cut -d. -f 1-2)
%define libver 1.0
%define modulesver 1.10.0

Name:          libpango
Version:       1.50.14
Release:       2mamba
Summary:       System for layout and rendering of internationalized text
Group:         System/Internationalization
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pango.gnome.org/
Source:        https://download.gnome.org/sources/pango/%{majver}/pango-%{version}.tar.xz
Patch0:        libpango-1.38-lib64.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
BuildRequires: libXrender-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libfribidi-devel
BuildRequires: libglib-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libthai-devel
## AUTOBUILDREQ-END
%if "%{stage1}" != "1"
BuildRequires: gobject-introspection-devel
%endif
BuildRequires: libfribidi-devel
BuildRequires: libfontconfig-devel >= 2.10.91
BuildRequires: python3dist(typogrify)
Obsoletes:     pango < 1.48.7
Provides:      pango = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description
A library to handle unicode strings as well as complex bidirectional or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package devel
Summary:       %{summary}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libdrm-devel
Requires:      dri2proto-devel
Obsoletes:     pango-devel < 1.48.7
Provides:      pango-devel = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The pango-devel package includes the static libraries and header files for the pango package.

This package contains static libraries and header files need for development.

%package tools
Summary:       %{summary}
Group:         System/Tools
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
The libpango-tools package includes the tools for the pango package.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%debug_package

%prep
%setup -q -n pango-%{version}
#%patch0 -p1

%build
# for patch0
%meson \
   -Dgtk_doc=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

install -d -m0755 %{buildroot}%{_sysconfdir}/pango

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
# Cleanup dirty link from previous releases
[ -L %{_bindir}/pango-view ] && rm -f %{_bindir}/pango-view
:

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%posttrans
if [ $1 -ge 1 ]; then
   #ln -snf pango-view%{arch_suffix} %{_bindir}/pango-view
   [ -L %{_bindir}/pango-querymodules ] && rm -f %{_bindir}/pango-querymodules
fi
# legacy cleanups
rm -f /etc/pango/pango.modules
rm -f /etc/pango/i686-pc-linux-gnu/pango.modules
[ -e /etc/pango/i686-pc-linux-gnu ] && rmdir /etc/pango/i686-pc-linux-gnu
exit 0

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/pango
%{_libdir}/libpango-%{libver}.so.*
%{_libdir}/libpangocairo-%{libver}.so.*
%{_libdir}/libpangoft2-%{libver}.so.*
%{_libdir}/libpangoxft-%{libver}.*
%if "%{stage1}" != "1"
%{_libdir}/girepository-1.0/Pango*.typelib
%endif
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/pango-%{libver}/pango/*.h
%{_libdir}/libpango-%{libver}.so
%{_libdir}/libpangocairo-%{libver}.so
%{_libdir}/libpangoft2-%{libver}.so
%{_datadir}/gir-1.0/Pango*.gir
%{_libdir}/pkgconfig/*.pc
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/pango-list
%{_bindir}/pango-segmentation
%{_bindir}/pango-view
%{_mandir}/man1/pango-view.1*

%files apidocs
%defattr(-,root,root)
%dir %{_docdir}/Pango*
%{_docdir}/Pango*/*

%changelog
* Thu Dec 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.50.14-2mamba
- fix pango-view installed as wrong symlink since past releases 

* Fri Mar 03 2023 Automatic Build System <autodist@mambasoft.it> 1.50.14-1mamba
- automatic version update by autodist

* Tue Feb 21 2023 Automatic Build System <autodist@mambasoft.it> 1.50.13-1mamba
- automatic version update by autodist

* Sun Nov 20 2022 Automatic Build System <autodist@mambasoft.it> 1.50.12-1mamba
- automatic version update by autodist

* Tue Oct 04 2022 Automatic Build System <autodist@mambasoft.it> 1.50.11-1mamba
- automatic version update by autodist

* Sat Sep 17 2022 Automatic Build System <autodist@mambasoft.it> 1.50.10-1mamba
- automatic version update by autodist

* Thu Aug 11 2022 Automatic Build System <autodist@mambasoft.it> 1.50.9-1mamba
- automatic version update by autodist

* Sun Jul 03 2022 Automatic Build System <autodist@mambasoft.it> 1.50.8-1mamba
- automatic version update by autodist

* Fri Apr 15 2022 Automatic Build System <autodist@mambasoft.it> 1.50.7-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 1.50.6-1mamba
- automatic version update by autodist

* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 1.50.5-1mamba
- automatic version update by autodist

* Thu Feb 10 2022 Automatic Build System <autodist@mambasoft.it> 1.50.4-1mamba
- automatic version update by autodist

* Fri Dec 31 2021 Automatic Build System <autodist@mambasoft.it> 1.50.3-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 1.48.10-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 1.48.9-1mamba
- automatic version update by autodist

* Thu Aug 12 2021 Automatic Build System <autodist@mambasoft.it> 1.48.8-1mamba
- automatic version update by autodist

* Tue Jul 13 2021 Automatic Build System <autodist@mambasoft.it> 1.48.7-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 1.48.5-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 1.48.4-1mamba
- automatic version update by autodist

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 1.48.3-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 1.48.2-1mamba
- automatic version update by autodist

* Fri Jan 22 2021 Automatic Build System <autodist@mambasoft.it> 1.48.1-1mamba
- automatic version update by autodist

* Tue Dec 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.48.0-2mamba
- rebuilt with debug package

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 1.48.0-1mamba
- automatic version update by autodist

* Sat Sep 19 2020 Automatic Build System <autodist@mambasoft.it> 1.46.2-1mamba
- automatic version update by autodist

* Fri Aug 21 2020 Automatic Build System <autodist@mambasoft.it> 1.46.1-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 1.46.0-1mamba
- automatic version update by autodist

* Fri Oct 25 2019 Automatic Build System <autodist@mambasoft.it> 1.44.7-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 1.44.6-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Automatic Build System <autodist@mambasoft.it> 1.44.5-1mamba
- automatic version update by autodist

* Wed Aug 14 2019 Automatic Build System <autodist@mambasoft.it> 1.44.4-1mamba
- automatic version update by autodist

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 1.44.3-1mamba
- automatic version update by autodist

* Thu Aug 01 2019 Automatic Build System <autodist@mambasoft.it> 1.44.1-1mamba
- automatic version update by autodist

* Mon Jul 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.42.4-2mamba
- fix displaying an error in postrans script

* Tue Aug 21 2018 Automatic Build System <autodist@mambasoft.it> 1.42.4-1mamba
- automatic version update by autodist

* Tue Jul 31 2018 Automatic Build System <autodist@mambasoft.it> 1.42.3-1mamba
- automatic version update by autodist

* Sat Jul 21 2018 Automatic Build System <autodist@mambasoft.it> 1.42.2-1mamba
- automatic version update by autodist

* Sat Apr 07 2018 Automatic Build System <autodist@mambasoft.it> 1.42.1-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 1.42.0-1mamba
- automatic version update by autodist

* Sun Feb 04 2018 Automatic Build System <autodist@mambasoft.it> 1.40.14-1mamba
- automatic version update by autodist

* Sat Oct 28 2017 Automatic Build System <autodist@mambasoft.it> 1.40.13-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 1.40.12-1mamba
- automatic version update by autodist

* Mon Aug 21 2017 Automatic Build System <autodist@mambasoft.it> 1.40.11-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 1.40.9-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 1.40.8-1mamba
- automatic version update by autodist

* Mon Aug 07 2017 Automatic Build System <autodist@mambasoft.it> 1.40.7-1mamba
- automatic version update by autodist

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 1.40.4-1mamba
- automatic version update by autodist

* Tue Sep 20 2016 Automatic Build System <autodist@mambasoft.it> 1.40.3-1mamba
- automatic update by autodist

* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 1.40.2-1mamba
- automatic version update by autodist

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 1.40.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.40.0-2mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.40.0-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 1.39.0-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Automatic Build System <autodist@mambasoft.it> 1.38.1-1mamba
- automatic version update by autodist

* Tue Mar 31 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36.8-3mamba
- add patch to support biarch configuration

* Thu Mar 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36.8-2mamba
- executable and configuration support for biarch environment

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 1.36.8-1mamba
- automatic version update by autodist

* Thu Sep 04 2014 Automatic Build System <autodist@mambasoft.it> 1.36.7-1mamba
- automatic version update by autodist

* Sun Aug 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.36.6-2mamba
- move %{_datadir}/gir-1.0/Pango*.gir to -devel package

* Sat Aug 16 2014 Automatic Build System <autodist@mambasoft.it> 1.36.6-1mamba
- automatic version update by autodist

* Tue Jun 24 2014 Automatic Build System <autodist@mambasoft.it> 1.36.5-1mamba
- automatic version update by autodist

* Tue Mar 18 2014 Automatic Build System <autodist@mambasoft.it> 1.36.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 1.36.2-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 1.36.1-1mamba
- automatic version update by autodist

* Mon Oct 07 2013 Automatic Build System <autodist@mambasoft.it> 1.36.0-1mamba
- automatic version update by autodist

* Sat Sep 07 2013 Automatic Build System <autodist@mambasoft.it> 1.35.3-1mamba
- automatic update by autodist

* Wed Aug 21 2013 Automatic Build System <autodist@mambasoft.it> 1.35.2-1mamba
- automatic update by autodist

* Fri Jun 21 2013 Automatic Build System <autodist@mambasoft.it> 1.35.0-1mamba
- automatic version update by autodist

* Mon May 13 2013 Automatic Build System <autodist@mambasoft.it> 1.34.1-1mamba
- automatic version update by autodist

* Tue Mar 26 2013 Automatic Build System <autodist@mambasoft.it> 1.34.0-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 1.33.9-1mamba
- automatic version update by autodist

* Sat Mar 09 2013 Automatic Build System <autodist@mambasoft.it> 1.33.8-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 1.33.7-1mamba
- automatic version update by autodist

* Tue Dec 18 2012 Automatic Build System <autodist@mambasoft.it> 1.32.5-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 1.32.4-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.32.3-1mamba
- automatic version update by autodist

* Wed Nov 14 2012 Automatic Build System <autodist@mambasoft.it> 1.32.2-1mamba
- automatic version update by autodist

* Fri Oct 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.32.1-2mamba
- package %{_sysconfdir}/pango directory removed since previous release

* Wed Oct 10 2012 Automatic Build System <autodist@mambasoft.it> 1.32.1-1mamba
- automatic version update by autodist

* Sun Jul 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.30.1-2mamba
- move introspection files from -devel to main package

* Tue Jun 05 2012 Automatic Build System <autodist@mambasoft.it> 1.30.1-1mamba
- automatic version update by autodist

* Fri May 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.30.0-2mamba
- libpango-devel: require dri2proto-devel and libdrm-devel

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 1.30.0-1mamba
- update to 1.30.0

* Wed Nov 23 2011 Automatic Build System <autodist@mambasoft.it> 1.29.5-1mamba
- automatic version update by autodist

* Wed Sep 28 2011 Automatic Build System <autodist@mambasoft.it> 1.29.4-1mamba
- automatic version update by autodist

* Wed Sep 28 2011 Automatic Build System <autodist@mambasoft.it> 1.29.3-1mamba
- automatic version update by autodist

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 1.28.4-1mamba
- automatic update by autodist

* Mon Oct 04 2010 Automatic Build System <autodist@mambasoft.it> 1.28.3-1mamba
- automatic update to 1.28.3 by autodist

* Mon Oct 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28.2-2mamba
- rebuilt with gobject-introspection 0.9.10 as required by libgtk 2.22

* Tue Sep 28 2010 Automatic Build System <autodist@mambasoft.it> 1.28.2-1mamba
- automatic update to 1.28.2 by autodist

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28.1-3mamba
- rebuilt with libpng 1.4

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 1.28.1-2mamba
- automatic rebuild by autodist

* Tue Jun 15 2010 Automatic Build System <autodist@mambasoft.it> 1.28.1-1mamba
- automatic update to 1.28.1 by autodist

* Sat May 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28.0-1mamba
- update to 1.28.0

* Sat Sep 26 2009 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic update to 1.26.0 by autodist

* Wed Jul 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24.5-2mamba
- posttrans script: run ldconfig before pango-querymodules

* Tue Jul 21 2009 Automatic Build System <autodist@mambasoft.it> 1.24.5-1mamba
- automatic update by autodist

* Wed Jul 15 2009 Automatic Build System <autodist@mambasoft.it> 1.24.4-1mamba
- automatic update by autodist

* Mon Jun 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.24.3-1mamba
- update to 1.24.3

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 1.22.4-2mamba
- automatic rebuild by autodist

* Fri Jan 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.22.4-1mamba
- automatic update by autodist

* Mon Dec 01 2008 gil <puntogil@libero.it> 1.22.3-1mamba
- update to 1.22.3

* Mon Jun 02 2008 gil <puntogil@libero.it> 1.21.1-1mamba
- update to 1.21.1

* Wed Oct 24 2007 Aleph0 <aleph0@openmamba.org> 1.18.3-1mamba
- update to 1.18.3

* Wed Sep 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.2-1mamba
- update to 1.18.2

* Tue Apr 10 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 1.16.1-1mamba
- update to version 1.16.1

* Fri Jan 05 2007 Aleph0 <aleph0@openmamba.org> 1.14.8-2qilnx
- new subpackage apidocs with API documentation

* Wed Jan 03 2007 Aleph0 <aleph0@openmamba.org> 1.14.8-1qilnx
- update to version 1.14.8 by autospec
- updated specfile to permit automatic building
- added missing build requirements

* Mon Jun 19 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.10.4-1qilnx
- update to version 1.10.4 by autospec

* Fri Mar 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.10.2-2qilnx
- added missing build requirement

* Mon Dec 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.2-1qilnx
- update to version 1.10.2 by autospec

* Wed Sep 14 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.10.0-1qilnx
- update to version 1.10.0 by autospec

* Mon Aug 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.8.2-1qilnx
- update to version 1.8.2 by autospec

* Mon Dec 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1qilnx
- update to version 1.8.0 by autospec

* Tue Oct 12 2004 Massimo Pintore <massimo.pintore@qilinux.it> 1.6.0-1qilnx
- update to version 1.6.0 by autospec
- source renamed to libpango

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-3qilnx
- fixed obsolete statement of pango

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2qilnx
- added creation of pango.modules

* Tue Jun 22 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1qilnx
- new version build

* Tue Dec 30 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.3.1-1qilnx
- new version rebuild (recreated after previous source RPM loss from repository)

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.1-3qilnx
- fixed configuration files location

* Fri Jun 13 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.2.1-2qilnx
- added ldconfig execution

* Fri Jun 06 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.2.1-1qilnx
- creation of pango package
